Skip to main content
POST
/
wallet
/
api
/
user
/
assetFlow
Query User Asset Flow
curl --request POST \
  --url https://access-wallet.test.ftrader.pro/wallet/api/user/assetFlow
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "dataTotal": 123,
    "haveNext": true,
    "list": [
      {
        "appId": "<string>",
        "appUserId": "<string>",
        "amount": 123,
        "assetId": 123,
        "assetName": "<string>",
        "decimalPlaces": 123,
        "desc": "<string>",
        "flowNo": "<string>",
        "intent": "<string>",
        "status": "CREATED",
        "time": "2023-11-07T05:31:56Z",
        "transRemark": "<string>"
      }
    ]
  }
}

Query Parameters

agencyCode
string
required

Agency Code

appId
string
required

App ID

appUserId
string
required

App User ID

assetId
integer<int64>
required

Asset ID

pageNo
integer<int32>
default:1
required

Page Number

pageSize
integer<int32>
default:20
required

Items per page

sign
string
required

Sign

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
AppPage«ApiUserAssetFlowDTO» · object